<% title = 'Registrace' %>
<%- include('../partials/header', {req, res, title}) %>
</head>

<body>
    <div class="flex-center">
        <div class="panel">
            <h1><%= title %></h1>
            <p class="subheading">Pro registraci vyplňte prosím následující políčka.</p>

            <form class="container" method="POST" action="">
                <div class="form-input">
                    <input type="text" placeholder="Křestní jméno" name="firstname"
                        <%= req.query.firstname ? `value=${req.query.firstname}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Příjmení" name="lastname"
                        <%= req.query.lastname ? `value=${req.query.lastname}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="email" placeholder="Email" name="email"
                        <%= req.query.email ? `value=${req.query.email}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Uživatelské jméno" name="username"
                        <%= req.query.username ? `value=${req.query.username}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="password" placeholder="Heslo" name="password"
                        <%= req.query.password ? `value=${req.query.password}` : ''%>>
                </div>
                <div class="flex-center container">
                    <a class="btn-tertiary" href="/login">Už mám účet ;)</a>
                    <button type="submit" class="btn-primary">Zaregistruj mě!</button>
                </div>
            </form>
        </div>
    </div>
    <%- include('../partials/footer', {req, res}) %>
    <%- include('../partials/file-end', {req, res}) %>